SGML2TXT(1)

NAZWA
sgml2txt - tworzy wyjście ze zwykłym tekstem z pliku źródłowego LinuxDoc DTD SGML

SKŁADNIA
sgml2txt [opcja-ogólna...] [--manpage] [--filter] [--blanks=n] plik[.sgml]

OPIS
sgml2txt jest starą i przestarzałą postacią polecenia konwersji tekstowej LinuxDoc-Tools (nazwa może być myląca, nie jest to narzędzie do SGML DTD, obsługuje wyłącznie SGML LinuxDoc DTD). Zaleca się przejście na nowszą postać linuxdoc -B text. Polecenie konwertuje plik źródłowy LinuxDoc DTD SGML do wyjścia ASCII, ISO-8859-1 lub EUC-JP. Wyjście pojawi się w plik.txt gdzie plik jest nazwą źródłowego pliku SGML.

Do ustawień warunkowych (conditionals) ustawiana jest para atrybut/wartość "output=txt".

OPCJE
sgml2txt przyjmuje wszystkie opcje ogólne opisane w linuxdoc(1) oraz następujące opcje charakterystyczne:

--manpage, -m
    Daje w wyniku plik źródłowy groff, odpowiedni do formatowania za pomocą groff -man w celu uzyskania stron podręcznika systemowego man.

--filter, -f
    Usuwa z postaci pośredniej utworzonej przez groff(1) nadpisania wykonane z użyciem backspace.

--pass, -P
    Argument opcji pass (przekaż) dodawany jest do opcji wiersza poleceń obsługiwanej przez groff(1).

--blanks=n, -b
    Ustawia limit kolejnych pustych wierszy w tworzonym dokumencie wyjściowym. Domyślny limit wynosi 3. Jeśli poda się 0 (zero), wynik może zawierać wiele kolejnych pustych wierszy.

file
    Plik źródłowy SGML, o nazwie albo plik albo plik.sgml

PLIKI
Używanych jest wiele plików i plików wykonywalnych z katalogu /usr/share/linuxdoc-tools.

USTERKI
Brak znanych.

AUTOR
Pierwotnie napisane przez Grega Hankinsa <greg.hankins@cc.gatech.edu>, przy użyciu skryptów Toma Gordona i Alexandra Horza, później przepisane przez Ceesa de Groota <cg@cdegroot.com> w SGML-Tools (v1). Poprzednio utrzymywane przez Taketoshiego Sano <sano@debian.org> w Linuxdoc-Tools. Obecnym opiekunem jest Agustin Martin <agustin6martin AT gmail com>.

ZOBACZ TAKŻE
linuxdoc(1), sgml2html(1), sgml2info(1), sgml2latex(1), sgml2lyx(1), sgml2rtf(1), sgmlcheck(1).

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.